Subject: bug#62762: circular dependencies in elisp files and make

From: Stefan Monnier <[email-masked]>
Date: Sat, 13 May 2023 10:49:50 -0400

> Writing "stale" I mean more than comparison timestamps of a.el and
> a.elc. Dependency files may contain
>
> a.elc: a.el d.elc
> d.elc: d.el
>
> the script walks through dependency graph, compares timestamps and when it
> d.el is newer than d.elc, *both* "a.elc" and "d.elc" are removed.

Make will already take care of this dependency and recompile `d.elc`
before `a.elc`.

        Stefan